# Generated by Django 2.2.4 on 2019-09-22 20:28

from django.db import migrations
from django.db.models import Q

from ..models import TeamRole


def set_admin_flag(apps, schema_editor):
    Team = apps.get_model("teams", "Team")
    db_alias = schema_editor.connection.alias
    Team.objects.using(db_alias).filter(Q(role=TeamRole.ADMIN) | Q(role=TeamRole.AUTHOR)).update(is_admin=True)


def set_admin_role(apps, schema_editor):
    Team = apps.get_model("teams", "Team")
    db_alias = schema_editor.connection.alias
    Team.objects.using(db_alias).filter(is_admin=True).update(role=TeamRole.AUTHOR)


class Migration(migrations.Migration):

    dependencies = [
        ('teams', '0003_team_role'),
    ]

    operations = [
        migrations.RunPython(
            code=set_admin_role,
            reverse_code=set_admin_flag,
            elidable=True,
        )
    ]
